# ModNameParamResolver Class Reference

`#include <cxmlelement.h>`

Inheritance diagram for ModNameParamResolver:

List of all members.

## Detailed Description

A parameter resolver class for cXMLElement (more precisely, for cXMLElement::getElementByPath()) that, given a cModule pointer, resolves the following parameters: $MODULE_FULLPATH, $MODULE_FULLNAME, $MODULE_NAME, $MODULE_INDEX, $MODULE_ID; $PARENTMODULE_FULLPATH etc; $GRANDPARENTMODULE_FULLPATH etc.

## Public Member Functions

virtual bool | resolve (const char *paramname, std::string &value)

## Member Function Documentation

virtual bool ModNameParamResolver::resolve | ( | const char * | paramname,
|  | std::string & | value
| ) | `[virtual]`

| To be redefined in subclasses. If paramname is recognized, the method should store the value in the 'value' argument and return true; otherwise it should return false. Implements cXMLElement::ParamResolver.

The documentation for this class was generated from the following file:

- cxmlelement.h